package org.rcisoft.business.evaluate.energysaving.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.rcisoft.business.evaluate.energysaving.service.EnergySavingService;
import org.rcisoft.core.constant.MessageConstant;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by JiChao on 2018/5/4.
 */
@Api(tags = "项目评估--节能改造")
@RestController
@RequestMapping("energysaving")
public class EnergySavingController {

    @Autowired
    private EnergySavingService energySavingServiceImpl;

    @ApiOperation(value="团队列表", notes="团队列表，所有团队")
    @RequestMapping("/teamList")
    public Result teamList() {
        return Result.builder(new PersistModel(1), MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, energySavingServiceImpl.teamList());
    }

    @ApiOperation(value="评估项目列表", notes="评估项目列表")
    @RequestMapping("/evaluateList")
    public Result evaluateList() {
        return Result.builder(new PersistModel(1), MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, energySavingServiceImpl.evaluateList());
    }

    @ApiOperation(value="右边的认定信息", notes="分 工程造价认定、节能认定 两个")
    @ApiImplicitParams({@ApiImplicitParam(name = "evaId", value = "评估项目主键", required = true, dataType = "字符串")})
    @RequestMapping("/confirmByEvaId/{evaId:\\w+}")
    public Result confirmByEvaId(@PathVariable String evaId) {
        return Result.builder(new PersistModel(1), MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, energySavingServiceImpl.confirmByEvaId(evaId));
    }

}
